.bricks-block-editor-notice-wrapper {
	text-align: center;
/*	margin-top: 2rem;*/
}

/**/
:is(.fr-post-content, .is-root-container) 
  > *:not([data-align=full]):not([data-align=wide]):not(.alignwide):not(.alignfull) {
    --wp-post-block-width: 720px;
	--wp--custom--content-size: 720px;
    max-width: var(--wp-post-block-width);
    margin-inline: auto;
}

.is-layout-constrained > .alignwide {
--wp--style--global--wide-size: var(--content-width);
}

.alignwide, [data-align=wide] {
	 --wp-post-block-width: var(--content-width);
	width: var(--wp-post-block-width);
	max-width: var(--wp-post-block-width);
	margin-inline: auto;
}

/*Set Gutenberg block button default styles to same as Acss primary button*/
.wp-block-buttons .wp-block-button:not([class*="btn--outline"]) a, .wp-block-button:not([class*="btn--"]) > .btn-wp-gb  {
    --btn-background: var(--primary);
      --btn-background-hover: var(--primary-hover);
      --btn-text-color: var(--primary-ultra-light);
      --btn-text-color-hover: var(--primary-ultra-light);
      --btn-border-color: var(--primary);
      --btn-border-color-hover: var(--primary-hover);
      --focus-color: var(--primary-light);
    background: var(--btn-background);
      color: var(--btn-text-color);
      padding-block: var(--btn-padding-block);
      padding-inline: var(--btn-padding-inline);
      min-inline-size: var(--btn-min-width);
      line-height: var(--btn-line-height);
      font-size: var(--btn-font-size, var(--text-m));
      font-weight: var(--btn-font-weight);
      font-style: var(--btn-font-style);
      text-transform: var(--btn-text-transform);
      letter-spacing: var(--btn-letter-spacing);
      text-decoration: var(--btn-text-decoration);
      border-width: var(--btn-border-width);
      border-style: var(--btn-border-style);
      border-radius: var(--btn-radius);
      border-color: var(--btn-border-color);
      transition: var(--btn-transition, var(--transition));
      justify-content: var(--btn-justify-content, center);
      text-align: var(--btn-text-align, center);
  }
  
  
  .wp-block-buttons .wp-block-button.is-style-outline:not(:where(.btn--outline)) a, .wp-block-button:not([class*="btn--outline"]).is-style-outline .btn-wp-gb {
      --btn-background: transparent;
      --btn-background-hover: var(--primary-hover);
      --btn-text-color: var(--primary);
      --btn-text-color-hover: var(--primary-ultra-light);
      --btn-border-width: var(--btn-border-width);
      --btn-border-color: var(--primary);
      --btn-border-color-hover: var(--primary-hover);
      --focus-color: var(--primary-light);
  
  }
  
  .wp-block-buttons .wp-block-button a:hover {
    background: var(--btn-background-hover);
          color: var(--btn-text-color-hover);
          border-color: var(--btn-border-color-hover);
          text-decoration: var(--btn-text-decoration-hover);
  }
  
  /*Blockquote styles*/
  .wp-block-quote, .editor-styles-wrapper .wp-block-quote {
    border-color: var(--primary);
	border-left-style: solid;
    border-left-width: 4px;
  	/*max-width: var(--fr-lede-width);*/
	padding: 0 0 0 30px;
	font-family: georgia,Times New Roman,times,serif;
  }
  
 .wp-block-quote, .editor-styles-wrapper .wp-block-quote p{
	  font-size: var(--text-l);
  }
  
  /*Pullquote styles */
  .wp-block-pullquote {
      border: 2px solid var(--primary-light);
    padding: var(--space-l);
      background-color: var(--primary-light-trans-20);
    display: flex;
    justify-content: center;
  }
/*
.is-root-container > :is(h1, h2, h3, h4, h5, h6):not(:first-child:is(h1, h2, h3, h4, h5, h6) ) {
    padding-block-start: 1em;
}*/
/*
:is(p):where([role="document"]), .editor-visual-editor__post-title-wrapper{
	margin-block-start: 1em !important;
    margin-block-end: 1em !important;
}  */

/* Lainauksen teksti */
  .wp-block-pullquote blockquote {
     
	  font-size: var(--text-xl);
      font-style: italic;
      border-left-style: none;
      quotes: "“" "”" "‘" "’";
    max-width: var(--width-l);
  }
  
  .wp-block-pullquote blockquote:before {
      content: open-quote;
      font-size: 2em;
      color: var(--primary);
      vertical-align: -0.4em; 
      margin-right: 10px;
  }

blockquote p[role="textbox"]{
  padding: 2rem 0;
	font-style: italic;
	font-size: var(--text-l);
	font-family: georgia,Times New Roman,times,serif;
  }

.wp-block-pullquote:has(p[role="textbox"]) blockquote:after {
	vertical-align: -0.8em;
}
  
  .wp-block-pullquote blockquote:after {
      content: close-quote;
      font-size: 2em;
      color: var(--primary);
      vertical-align: -0.4em; 
      margin-left: -10px;
  }
  
  /* Sitaatti (cite) */
.wp-block-pullquote cite:not([role="textbox"]), blockquote cite:not([role="textbox"]) {
    font-size: var(--text-l);
    font-weight: 600;
    border-left: 0;
    text-transform: none;
  }

blockquote cite:not([role="textbox"]) {
    font-size: var(--text-m);
  }

cite[role="textbox"]{
    font-size: var(--text-m);
    font-weight: 600;
	font-family: georgia,Times New Roman,times,serif;
  }
  
  /*List styles*/
  li::marker {
    color: var(--primary);
  }
  
  ul li::marker {
    font-size: 1.15em;
  }
  ol li::marker {
    color: var(--primary);
    font-size: 1.05em;
    font-weight: 700;
  }
  
  /*Gutenberg table styles */
  .wp-block-table {
      /* Taulukon perusasetukset */
     --table-head-padding: 1.2rem 1.2rem;
      --table-cell-padding: 1rem 1.2rem;
      --border-size: 1px;
      --border-head-size: 0; /* Add extra size to --border-size*/
      --border-foot-size: 2px;
      /*Table hsl colors*/
      --table-h: var(--primary-h);
      --table-s: var(--primary-s);
      --table-head-l: 88%;
      --table-cell-odd-l: 100%;
      --table-cell-even-l: 96%;
      --table-borders-l: 80%;
      --table-borders-head-l: 80%;
      --table-borders-foot-l: 80%;
      --table-borders: hsl(var(--table-h),var(--table-s), var(--table-borders-l));
      --table-borders-head: hsl(var(--table-h),var(--table-s), var(--table-borders-head-l));
      --table-borders-foot: hsl(var(--table-h),var(--table-s), var(--table-borders-foot-l));
      
        
        table {
            border-collapse: collapse;
            margin: var(--space-s) 0;
            font-size: var(--text-m);
            font-family: Arial, sans-serif;
        }
  
        thead {
          border-bottom: calc(var(--border-size) + var(--border-head-size)) solid var(--table-borders-head);
        }
  
        /* Otsikkorivien tyyli */
        th {
            background-color: hsla(var(--table-h), var(--table-s), var(--table-head-l), 1);
            color: var(--text-dark);
            font-weight: bold;
            padding: var(--table-head-padding);
            text-align: left;
            border: var(--border-size) solid var(--table-borders);
        }
  
        /* Rivien tyyli */
        tr:nth-child(odd) {
            background-color: hsla(var(--table-h), var(--table-s), var(--table-cell-odd-l), 1);
        }
  
        tr:nth-child(even) {
            background-color: hsla(var(--table-h), var(--table-s), var(--table-cell-even-l), 1);
        }
        td {
             padding: var(--table-cell-padding);
            border: var(--border-size) solid var(--table-borders);
        }
        td, th {
            text-align: left;
        }
          tfoot {
            border-top: calc(var(--border-size) + var(--border-foot-size)) solid var(--table-borders-foot);
        }
      
    } 